<?php
include "../../inc/inc.koneksi.php";

$tglawal    =$_POST[tglawal];
$tglakhir   =$_POST[tglakhir];

$sql= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);
$kas 		= $r[kas];
$piut 		= $r[piutang];
$persed 	= $r[persed];
$labapb  	= $r[laba_pb];
$jualbbm	= $r[jual_bbm];
$hppbbm		= $r[hpp_bbm];
$labarugi	= $r[laba_rugi];
$prem    	= $r[premium];
$solar   	= $r[solar];
$ptmx    	= $r[pertamax];
$ptmp    	= $r[ptm_plus];
$ptlt    	= $r[pertalite];
$dex     	= $r[ptmn_dex];
$dexlite 	= $r[dexlite];
$solek   	= $r[solar_eko];
$nosubks 	= substr($kas,0,3);
$nosubpi 	= substr($piut,0,3);
$nosubps	= substr($persed,0,3);
$nosublp	= substr($labapb,0,3);
$nosubjl 	= substr($jualbbm,0,3);
$nosubhp	= substr($hppbbm,0,3);
$nosublr 	= substr($labarugi,0,3);

mysql_query("DELETE FROM rekapjur jurnal='BBM' AND tanggal BETWEEN '$tglawal' AND '$tglakhir'");
mysql_query("DELETE FROM rekap_mbr jurnal='BBM' AND tanggal BETWEEN '$tglawal' AND '$tglakhir'");

$sql=mysql_query("SELECT kode_sb,tanggal,shift,kode_tl,jenis,tanki,sum(jml_bon) as jbon,sum(jml_tunai) as jtunai,sum(nilai_tunai) as niltun,sum(hpp_tunai) as hpptun,sum(nilai_nopol) as nilbon,sum(hpp_nopol) as hppbon,user FROM setor_bbm WHERE tanggal BETWEEN '$tglawal' AND '$tglakhir' AND batal='' GROUP BY kode_sb");

while($r=mysql_fetch_array($sql)){
    $kode	    =$r[kode_sb];
    $tanggal    =$r[tanggal];
    $shift	    =$r[shift];
    $kodetl     =$r[kode_tl];
    $jenis  	=$r[jenis];
    $tanki    	=$r[tanki];
    $nilaitunai	=$r[niltun];
    $hpptunai	=$r[hpptun];
    $nilbon    	=$r[nilbon];
    $hppbon     =$r[hppbon];
    $user		=$r[user];
    $jmltunai   =$r[jtunai];
    $jmlbon     =$r[jbon];
    $niljual 	= $nilaitunai+$nilbon;
    $hppjual	= $hpptunai+$hppbon;
    $laba		= $niljual-$hppjual;

    if($jenis=='Premium')
	    $kodest=$prem;
    else if($jenis=='Bio Solar')
	    $kodest=$solar;
    else if($jenis=='Pertamax')
	    $kodest=$ptmx;
    else if($jenis=='Pertamax Turbo')
	    $kodest=$ptmp;
    else if($jenis=='Pertalite')
	    $kodest=$ptlt;
    else if($jenis=='Pertamina Dex')
	    $kodest=$dex;
    else if($jenis=='Dexlite')
	    $kodest=$dexlite;
    else if($jenis=='Solar Keekonomian')
	    $kodest=$solek;

    $bpjual = $jualbbm.substr($kodest,2,4);
    $bphpp  = $hppbbm.substr($kodest,2,4);

    mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,gudang,keluar,harga,user) VALUES('$kode','BBM','$tanggal','$kode','1','$kodest','Penjualan BBM shift $shift teller $kodetl tunai','$tanki','$jmltunai','$hgbeli','$user')");
    mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,gudang,keluar,harga,user) VALUES('$kode','BBM','$tanggal','$kode','2','$kodest','Penjualan BBM shift $shift teller $kodetl kredit','$tanki','$jmlbon','$hgbeli','$user')");

    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$kas','$kas','$nilaitunai','Setoran $jenis shift $shift teller $kodetl','$user')");

    if(!$nilbon=='0'){
	    $sql1 = mysql_query("SELECT * FROM setor_bbm WHERE kode_sb='$kode'");
        $nourut=1;
	    while($r1=mysql_fetch_array($sql1)){
		    $kodepl		=$r1[kode_pl];
		    $namapl		=$r1[nama_pl];
		    $nofak		=$kode.$r1[id_bon];
		    $nopol		=$r1[nopol];		
		    $jmlnopol	=$r1[jml_nopol];
		    $nilainopol	=$r1[nilai_nopol];		
		    $bppiut		=$piut.$kodepl;
		    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$piut','$piut','$bppiut','$nilainopol','$jenis kredit shift $shift teller $kodetl $nopol','$user')");
            $nourut++;
	    }
    }
    
    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$jualbbm','$jualbbm','$bpjual','$niljual','Penjualan $jenis shift $shift teller $kodetl','$user')");
    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$hppbbm','$hppbbm','$bphpp','$hppjual','Penjualan $jenis shift $shift teller $kodetl','$user')");
    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$persed','$persed','$hppjual','Penjualan $jenis shift $shift teller $kodetl','$user')");
    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$labapb','$labapb','$laba','Penjualan $jenis shift $shift teller $kodetl','$user')");
    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$labarugi','$labarugi','$laba','Penjualan $jenis shift $shift teller $kodetl','$user')");
}
echo "Data setoran BBM tanggal $tglawal s/d $tglakhir telah diposting ulang.";
?>